/* ****************************
        HERO Section
   ******************************* */
.hero-container {
  margin-top: 1rem;
  padding: 0;
  display: grid;
  place-items: center;
  min-height: 85vh;
  position: relative;
  overflow: hidden;
  transform: translate3d(0, 0, 0);
  border-radius: var(--radious-high);
}

.hero-container::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.463);
  z-index: 2;
  transition: var(--Etrns);
}

.hero-container .holder {
  display: block;
  position: relative;
  z-index: 3;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.hero-container .holder h1 {
  color: white;
}
.hero-container .holder h1 span {
  color: var(--primary);
}
.hero-container .holder .btn-md:hover i {
  transition: var(--Etrns);
}
.hero-container .holder .btn-md:hover i {
  transform: scale(1.1);
}

.hero-container .heroVideo {
  position: absolute;
  width: 100%;
  top: 0;
  left: 0;
  z-index: 0;
}

@media (max-width: 900px) {
  .hero-container {
    min-height: 7vh;
  }

  .hero-container::after {
    display: none;
  }

  .hero-container .holder {
    display: none;
  }

  .hero-container .heroVideo {
    position: static;
  }
}

/* ****************************
        Mini About Card
  ******************************* */
.mini-about-row {
  display: grid;
  grid-template-columns: 1fr 1.5fr;
  gap: var(--gap-col);
}
.mini-about-row .col-img .img-holder {
  position: relative;
}
.mini-about-row .col-img .img-holder::before,
.mini-about-row .col-img .img-holder::after {
  content: "";
  position: absolute;
  border-radius: var(--radious-high) 115px var(--radious-high)
    var(--radious-high);
  width: calc(100% + 0.2rem);
  height: calc(100% + 0.2rem);
  top: -0.4rem;
  left: -0.4rem;
}

.mini-about-row .col-img .img-holder::before {
  transform: rotate(2deg);
  border: 3px solid var(--secoundry);
  animation: anibefore 3s infinite linear;
}
@keyframes anibefore {
  0% {
    transform: rotate(3deg);
  }
  50% {
    transform: rotate(-3deg);
  }
  100% {
    transform: rotate(3deg);
  }
}

.mini-about-row .col-img .img-holder::after {
  transform: rotate(-2deg);
  border: 3px solid white;
  animation: aniafter 3s infinite linear;
}
@keyframes aniafter {
  0% {
    transform: rotate(-3deg);
  }
  50% {
    transform: rotate(3deg);
  }
  100% {
    transform: rotate(-3deg);
  }
}

.mini-about-row .col-img img {
  border-radius: var(--radious-high) 115px var(--radious-high)
    var(--radious-high);
}

.mini-about-row .col-text {
  display: flex;
  align-items: center;
  outline: transparent;
}

/* @media (max-width: 1300px) {
  .mini-about-row .col-img img {
    min-height: 60dvh;
  }
} */

@media (max-width: 800px) {
  .mini-about-row {
    grid-template-columns: repeat(1, 1fr);
  }

  /* .mini-about-row .col-img img {
    min-height: 40dvh;
  } */
}

/* ****************************
        Featured Products Card
  ******************************* */
.navtabs {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: calc(var(--gap-col) / 3);
  margin-bottom: 1rem;
  flex-wrap: wrap;
}
.navtabs button {
  color: var(--text-200);
  font-size: 0.9rem;
  font-weight: 500;
  padding: 0.5rem;
  transition: var(--Etrns);
}
.navtabs button:hover {
  color: var(--text-100);
}
.navtabs button.active {
  color: white;
}

@media (max-width: 1200px) {
  .navtabs button {
    font-size: 0.8rem;
  }
}
@media (max-width: 800px) {
  .navtabs button {
    font-size: 0.7rem;
  }
}

/* +++++++++++++++++++++++++++++++
          REVIEW SECTION
++++++++++++++++++++++++++++++++++ */
.review-card {
  background-color: var(--bg-fff);
  border-radius: var(--radious-high);
  padding: 2rem;
  border: var(--border-dark);
}
.review-card .rating {
  font-size: 3rem;
  margin-bottom: 0;
  color: var(--text-200);
}
.review-card .rating i {
  font-size: 2rem;
  color: var(--premium);
}
.review-card .name {
  font-size: 1.3rem;
  margin: 0;
}
.review-card .disc {
  font-size: 0.9rem;
  padding-bottom: var(--text-300);
  margin-bottom: 1rem;
}

@media (max-width: 800px) {
  .review-card {
    padding: 1rem;
  }
  .review-card .rating {
    font-size: 2rem;
  }
  .review-card .rating i {
    font-size: 1.3rem;
  }
  .review-card .name {
    font-size: 0.9rem;
  }
  .review-card .disc {
    font-size: 0.7rem;
  }
}

/*++++++++++++++++++++++++++++++
     APP PROMO SECTION  
++++++++++++++++++++++++++++++++*/
.app-promo .container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: var(--gap-col);
}

.app-promo .img-col {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}
.app-promo .img-col .mokup {
  position: static;
  display: flex;
  margin: auto;
  align-items: center;
  max-width: 250px;
  z-index: +2;
  animation: var(--aniTopBot);
}
.app-promo .img-col .mokup:hover {
  animation-play-state: paused;
}

@media (max-width: 800px) {
  .app-promo .img-col .img-circle {
    max-width: 260px;
  }

  .app-promo .img-col .mokup {
    width: 52%;
  }

  .app-promo .container {
    grid-template-columns: repeat(1, 1fr);
  }
}

/*++++++++++++++++++++++++++++++
       INFOSLIDE SECTION  
  ++++++++++++++++++++++++++++++++*/
.infoslide-card img {
  border-radius: var(--radious-high);
}

/*++++++++++++++++++++++++++++++
       GALLERY SECTION  
  ++++++++++++++++++++++++++++++++*/
@media (min-width: 1700px) {
  .grid-gallery {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: var(--gap-card);
  }
}

.grid-gallery {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: var(--gap-card);
}

.g-img-card {
  display: grid;
  place-items: center;
}

.g-img-card a {
  display: block;
  width: 100%;
}
.g-img-card img {
  aspect-ratio: 1/1;
  object-fit: cover;
  border-radius: var(--radious-prim);
  overflow: hidden;
  transform: translate3d(0, 0, 0);
  transition: var(--Etrns);
}
.g-img-card:hover img {
  transform: translateY(-3px);
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

@media (max-width: 1200px) {
  .grid-gallery {
    grid-template-columns: repeat(4, 1fr);
  }
}
@media (max-width: 800px) {
  .grid-gallery {
    grid-template-columns: repeat(3, 1fr);
  }
}
@media (max-width: 600px) {
  .grid-gallery {
    grid-template-columns: repeat(2, 1fr);
  }
}

.loading {
    text-align: center;
    padding: 2rem;
    font-size: 1.2rem;
    color: #666;
}

.error {
    text-align: center;
    padding: 2rem;
    font-size: 1.2rem;
    color: #dc3545;
}
